List runs

Returns a list of all runs.

Path Params
uuid
required
^[0-9A-Fa-f]{8}-[0-9A-Fa-f]{4}-4[0-9A-Fa-f]{3}-[89ABab][0-9A-Fa-f]{3}-[0-9A-Fa-f]{12}$

ID of your Tenant Manager (MSP) organization. You can find it on the API Key Management page in the DEX platform.

Query Params
int32
≥ 1
Defaults to 1

The page of results to return.
The first page is page number 1.

int32
≥ 1
Defaults to 10

The number of results returned per page.

string
enum

Sorts results according to the specified field. Defaults to requested_at.

Allowed:
string
enum

The sort order (ascending / descending) of the field specified by the _sortBy parameter.
Defaults to desc (most recent first).

Allowed:

A search filter that is applied to all fields.
Only results that contain the specified string are returned.

string
enum
Defaults to json

The format of returned results.

Allowed:
status
array of objects

Only runs with one of these statuses are returned.

status
Allowed:
source_org_id
array of objects

Only runs whose source tenant is one of these organization IDs are returned.

source_org_id
target_org_id
array of uuids

Only runs that targeted at least one of these organization IDs are returned.

target_org_id
executed_by
array of uuids

Only runs executed by one of these user IDs are returned.

executed_by
Responses

Language
Credentials
Bearer
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json